SingleStore DB

ERROR 1218 (08S01): Error connecting to master: master is running an incompatible version of MemSQL

Issue

This issue can be caused when trying to replicate between a v5.x cluster and a v6.x cluster. Cluster replication functionality changes in 6.0 mean that replication between v5 and v6 is not possible. See Replication Compatibility Between Different Cluster Versions.

Solution

You need to upgrade both clusters to 6.0 before you can replicate data again. After both clusters are running 6.0 or newer, you can re-enabling replication between the clusters.